package com.bsmlab.dfx.dfxconsole.app.agent.service;

import com.bsmlab.dfx.dfxconsole.framework.dto.SearchParameterDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DfxCryptoKeyMapper {
    List<DfxCryptoKeyDto> selectDfxCryptoKeyList(SearchParameterDto searchParameterDto);
    int selectDfxCryptoKeyListTotalCount(SearchParameterDto searchParameterDto);
    DfxCryptoKeyDto selectDfxCryptoKeyByKeyValue(DfxCryptoKeyDto dfxCryptoKeyDto);
    void insertDfxCryptoKey(DfxCryptoKeyDto dfxCryptoKeyDto);
    int updateDfxCryptoKeyToApply(DfxCryptoKeyDto dfxCryptoKeyDto);
}
